//----------------------------------------------------------------------------
//
// Copyright (C) Sartorius Stedim Data Analytics AB 2017 -
//
// Use, modification and distribution are subject to the Boost Software
// License, Version 1.0. (See http://www.boost.org/LICENSE_1_0.txt)
//
//----------------------------------------------------------------------------

#include "StdAfx.h"
#include "SQPCOMSample.h"
#include "SQPCOMSampleDlg.h"

/////////////////////////////////////////////////////////////////////////////
// CSQPCOMSampleApp

BEGIN_MESSAGE_MAP(CSQPCOMSampleApp, CWinApp)
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSQPCOMSampleApp construction

CSQPCOMSampleApp::CSQPCOMSampleApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CSQPCOMSampleApp object
CSQPCOMSampleApp theApp;

BOOL CSQPCOMSampleApp::InitInstance()
{
   // Init COM
   CoInitializeEx(nullptr, COINIT_SPEED_OVER_MEMORY);
   AfxEnableControlContainer();

   CSQPCOMSampleDlg dlg;

   m_pMainWnd = &dlg;

   dlg.DoModal();

   // Since the dialog has been closed, return FALSE so that we exit the
   //  application, rather than start the application's message pump.
   return FALSE;
}

int CSQPCOMSampleApp::ExitInstance()
{
   int iRet = CWinApp::ExitInstance();

   // UnInit COM
   CoUninitialize();

   return iRet;
}
